function p-gvtu-list-cat
    set -l catid (echo (curl https://gayvids.tube/studio/$argv[1]/ 2>/dev/null \
        | grep 'rel="alternate" type="application/json"'\
        | sed 's:.*href="\([^"]\+\).*:\1:' \
        | string split "/")[-1])
    set -l pages (curl -v -X HEAD https://gayvids.tube/wp-json/wp/v2/posts?categories=$catid 2>&1 \
        | grep x-wp-totalpages \
        | string trim \
        | string split " " -f 3)

    for i in (seq $pages -1 1)
        sleep 0,2
        curl https://gayvids.tube/wp-json/wp/v2/posts?categories=$catid&page=$i 2>/dev/null \
            | jq -r ".[].link" | tac
    end
end
